#!/bin/bash

#przykadowy skrypt uyty jako generic

pitch=144
tempo=5
volume=100

while getopts "t:f:v:" opt; do
	case "$opt" in
	
	f) pitch=$OPTARG
	;;
	
	t) tempo=$OPTARG
	;;
	v) volume=$OPTARG
	;;
	*)
	;;
	esac
done

volume=`echo $volume | awk '{print $1/100.0}'`

iconv -f UTF-8 -t ISO-8859-2 | \
	powiedz -t $tempo -f $pitch -w - | play -q -t wav - vol $volume 2>/dev/null
